aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2022-09-05 18:33:40 -0700
committerJunio C Hamano <gitster@pobox.com>2022-09-05 18:33:40 -0700
commit2d88021919cd3df3b9f9e8fc0f1cd3b5daf45432 (patch)
treee86e2ed35f86b81001b8cde45346779006d5c05f
parent5784d201dad27453d8b83dd370ce702a26ae8577 (diff)
parent3871bdb7e40cc9a91d2cce58e2f5c49313521dc4 (diff)
downloadgit-2d88021919cd3df3b9f9e8fc0f1cd3b5daf45432.tar.xz
Merge branch 'es/t4301-sed-portability-fix'
Test clean-up. * es/t4301-sed-portability-fix: t4301: emit blank line in more idiomatic fashion t4301: fix broken &&-chains and add missing loop termination t4301: account for behavior differences between sed implementations
-rwxr-xr-xt/t4301-merge-tree-write-tree.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/t/t4301-merge-tree-write-tree.sh b/t/t4301-merge-tree-write-tree.sh
index c5fd56df28..28ca5c38bb 100755
--- a/t/t4301-merge-tree-write-tree.sh
+++ b/t/t4301-merge-tree-write-tree.sh
@@ -150,7 +150,7 @@ test_expect_success 'directory rename + content conflict' '
cd dir-rename-and-content &&
test_write_lines 1 2 3 4 5 >foo &&
mkdir olddir &&
- for i in a b c; do echo $i >olddir/$i; done
+ for i in a b c; do echo $i >olddir/$i || exit 1; done &&
git add foo olddir &&
git commit -m "original" &&
@@ -176,7 +176,7 @@ test_expect_success 'directory rename + content conflict' '
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
anonymize_hash out >actual &&
q_to_tab <<-\EOF | lf_to_nul >expect &&
HASH
@@ -230,7 +230,7 @@ test_expect_success 'rename/delete handling' '
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
anonymize_hash out >actual &&
q_to_tab <<-\EOF | lf_to_nul >expect &&
HASH
@@ -284,7 +284,7 @@ test_expect_success 'rename/add handling' '
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
#
# First, check that the bar that appears at stage 3 does not
@@ -351,7 +351,7 @@ test_expect_success SYMLINKS 'rename/add, where add is a mode conflict' '
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
#
# First, check that the bar that appears at stage 3 does not
@@ -417,7 +417,7 @@ test_expect_success 'rename/rename + content conflict' '
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
anonymize_hash out >actual &&
q_to_tab <<-\EOF | lf_to_nul >expect &&
HASH
@@ -471,7 +471,7 @@ test_expect_success 'rename/add/delete conflict' '
test_expect_code 1 \
git merge-tree -z B^0 A^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
anonymize_hash out >actual &&
q_to_tab <<-\EOF | lf_to_nul >expect &&
@@ -528,7 +528,7 @@ test_expect_success 'rename/rename(2to1)/delete/delete conflict' '
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
anonymize_hash out >actual &&
q_to_tab <<-\EOF | lf_to_nul >expect &&
@@ -600,7 +600,7 @@ test_expect_success 'mod6: chains of rename/rename(1to2) and add/add via collidi
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
#
# First, check that some of the hashes that appear as stage
@@ -662,7 +662,7 @@ test_expect_success 'directory rename + rename/delete + modify/delete + director
cd 4-stacked-conflict &&
test_write_lines 1 2 3 4 5 >foo &&
mkdir olddir &&
- for i in a b c; do echo $i >olddir/$i; done
+ for i in a b c; do echo $i >olddir/$i || exit 1; done &&
git add foo olddir &&
git commit -m "original" &&
@@ -690,7 +690,7 @@ test_expect_success 'directory rename + rename/delete + modify/delete + director
test_expect_code 1 \
git merge-tree -z A^0 B^0 >out &&
- printf "\\n" >>out &&
+ echo >>out &&
anonymize_hash out >actual &&
q_to_tab <<-\EOF | lf_to_nul >expect &&
@@ -760,8 +760,8 @@ test_expect_success 'NUL terminated conflicted file "lines"' '
git commit -m "Renamed numbers" &&
test_expect_code 1 git merge-tree --write-tree -z tweak1 side2 >out &&
+ echo >>out &&
anonymize_hash out >actual &&
- printf "\\n" >>actual &&
# Expected results:
# "greeting" should merge with conflicts